Skip to main content
GET
Get Fleet Info

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

fleet_info_id
string<uuid>
required

The unique identifier of the fleet info record.

Query Parameters

include_source_data
boolean
default:false

Include the raw data from the telematics provider. Useful for auditing or accessing fields not normalized by Catena

Response

Successful Response

Fleet info model for API responses

fleet_id
string<uuid> | null
required

Internal fleet identifier.

id
string<uuid>
required

Unique identifier of the record at Catena Telematics.

created_at
string<date-time>
required

Immutable: The datetime the record was ingested into Catena Telematics.

updated_at
string<date-time>
required

The dateime the record was last modified in Catena Telematics.

connection_id
string<uuid>
required

Unique identifier of the connection at Catena Telematics through which this record was ingested. A connection represents a Fleet/TSP pairing.

source_name
enum<string>
required

The underlying telematics platform that provided this data (e.g., samsara, motive, hos247). Note: Some platforms like hos247 offer white-labeling, so multiple TSPs may share the same source_name — use tsp_id or tsp_slug to identify the specific ELD provider.

Available options:
ada,
air_eld,
ai_eld,
alfa_eld,
alpha_eld,
als,
amcs_group,
anytrek_classic,
anytrek_pro,
apex_eld,
apollo,
apollocloud,
arezzo_tech,
ascend,
att,
autogri_eld,
awaregps,
azuga,
bellfam,
bigroad,
blackbear_eld,
bluehorse_eld,
blueinktech,
bmw,
bolt_eld,
bouncie,
bright_tech_eld,
budgetgps,
captain_eld,
carrier_lynx,
catena_simulator,
chronos,
club_eld,
clutch_eld,
cogo_eld,
coretex,
core_eld,
counting_trucks_eld,
cyntrx,
daily_eld,
dfl_eld,
digital_eld,
dlog_eld,
dragon_eld,
dream_eld,
dreyev,
driver_tech,
drive_hos,
drive_hos_v2,
dronemobile,
dsg_elogs,
dynamic_eld,
eighteighteight_eld,
eldtrex_driver,
eld_88,
eld_books,
eld_hub,
eld_mandate,
eld_mandate_prime,
eld_rider,
eld_road,
elog_plus,
eroad,
etm_solution,
eva_eld,
evo_eld,
expressway_eld,
extreme_eld,
ezlogz,
ez_eld,
ez_fleet,
ez_lynk,
factor_eld,
firstgate,
fleetcomplete,
fleetcompletehub,
fleethunt,
fleet_locate,
fleetpulse,
fleetsharp,
fleetup,
flex_eld,
fm,
force_fleet_tracking,
fordpro,
forwardthinking,
forza_eld,
garmin,
geotab,
gm,
gorilla_fleet_safety,
gpsinsight,
gpstab,
gpstrackit,
grand_eld,
greenlight,
groundhog,
hcss,
hive_eld,
hos247,
hos_eld,
hutch,
hyundai,
ilog_eld,
intelelogs,
intellishift,
ironman_eld,
isaac,
jjkeller,
keepon_eld,
kinexaiot,
knight_eld,
konexial,
linxup,
lioneight,
loop_eld,
lucid_eld,
luna_eld,
lytx,
lytxv3,
mapon,
matrack,
maven,
mdm_eld,
mercedes,
michelin_connected_fleet,
mobilefleet,
momentum,
monster_eld,
moonlight_eld,
motion_eld,
motive,
my_drivebook,
my_logs_eld,
neo_eld,
nero,
netradyne,
new_eld_world,
nextgen_eld,
nextraq,
nexus_eld,
omnitracs,
omnitracs_one,
1sew_eld,
onestep,
onroad_eld,
ontime_eld,
optima,
optimus_tracker,
orbcomm,
orient_eld,
orion_eld,
oson_elogs,
ozod_eld,
panda_eld,
patriot_eld,
payd,
peak_eld,
pedigree,
penske_eld,
peoplenet,
phillips_connect,
phoenix,
pop_eld,
prestige_eld,
prime_duty_solutions,
prologs,
proride_eld,
qualitylogs_eld,
rand_eld,
randmcnally,
rastrac,
raven,
razor_tracking,
redfox,
regulog_eld,
ridehub,
rigbot,
rivian,
roadeazy,
roadready,
rock_eld,
rollingtrans,
routemate,
route_one_eld,
royal_eld,
safelane,
samsara,
sba_eld,
selectivedrive,
seven_days_log,
simba_eld,
simplex,
simple_truck_eld,
simple_way_eld,
skybitz,
smart_elds,
sparkle_eld,
spectre_eld,
spireon,
stellantis,
sts_eld,
sunriser_eld,
sun_eld,
surfsight,
sv_eld,
swift,
switchboard,
synergy_eld,
teddy_eld,
teletracnavman,
teletracnavman_director,
telogis,
tenna,
tesla,
teslemetry,
thermo_king,
think,
three_md,
tive,
topcompliance_eld,
top_eld,
toyota,
traccar,
trackease_eld,
trackhawk_gps,
trackpro,
track_your_truck,
traclog,
transflo,
trimac,
trimble,
truckford,
trucking_kit,
trucking_office,
truckspy,
truckx,
trueroad_eld,
tt,
2bro_eld,
txt_eld,
tx_eld,
under_control_eld,
us_fast_eld,
verizon_connect,
vista_eld,
vistracks,
vlog_eld,
volvo,
vrh_eld,
vulcansols_eld,
vw,
webfleet,
wialon,
wireless_links,
wizefleet_eld,
xplore_eld,
youlog_eld,
zaphira_eld,
zigzag_eld,
zippy_eld,
zms_eld,
zonar,
zubie
source_id
string
required

Unique identifier of the record in the TSP. Note: we generate a unique composite key based on available fields if the TSP does not provide an unique ID.

source_data_hash
string
required

SHA-256 hash of the source data payload. Note: we use it internally for idempotence and deduplication.

Maximum string length: 64
fleet_ref
string | null

External fleet reference in the partner system.

deleted_at
string<date-time> | null

The datetime the record was logically deleted from Catena Telematics.

tsp_id
string<uuid> | null

Unique identifier of the TSP at Catena Telematics from which this record was ingested.

tsp_slug
string | null

Human readable slug of the TSP at Catena Telematics from which this record was ingested.

source_data
Source Data · object

Raw source payload as ingested from the TSP. Note: use it for audit/debugging.

occurred_at
string<date-time> | null

Datetime of when the underlying event/observation occurred, as reported by the TSP, or the moment it was ingested by us if not available in the source data.

execution_id
string<uuid> | null

Unique identifier for the execution that ingested this record into Catena Telematics. Note: useful for tracing.

schedule_id
string<uuid> | null

Unique identifier for schedule that triggered this record's execution. Note: useful for tracing.

extras
Extras · object | null

Additional data available in the TSP (e.g., we may have external_id, provider_resource_id, etc. — this field captures all those extra attributes in a flexible way).

carrier_name
string | null

Legal or primary carrier name for the fleet.

dot_number
string | null

USDOT number associated with the fleet.

dba_name
string | null

Doing-business-as name for the fleet, if different from the carrier name.

street
string | null

Street address for the fleet.

city
string | null

City portion of the fleet's address.

state
string | null

State or province portion of the fleet's address.

zip
string | null

ZIP or postal code for the fleet's address.

country
string | null

Country for the fleet's address.

phone_number
string | null

Primary phone number for the fleet.

company_url
string | null

Primary website URL for the fleet.

timezone
string | null

Primary timezone for the fleet, ideally as an IANA timezone identifier.